Update Client Order States
1 min
PUT
https://api.upstartcommerce.com/v1/order/client-state/batch
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyUpdateClientOrderStateBatchRequest[]requiredDescription
- idstringrequired
- namestring
- siteIdsstring[]required
- colorstring
- internalStatestring
- descriptionstring
Responses
200
- UpdateClientOrderStateResponse[]
- idstring<uuid>requiredDescriptionFormatuuid
- siteIdsstring[]required
- namestringrequiredDescription
- internalStatestringrequiredDescription
- descriptionstring
- colorstringrequired
207
- UpdateClientStatePartialResponse
- successClientStateMapping[]
- idstringrequiredDescription
- siteIdsstring[]required
- namestringrequiredDescription
- colorstringrequiredDescription
- internalStatestringrequiredDescription
- descriptionstring
- inUsebooleanrequiredDefaultfalse
- errorsmap<string, ValidationErrorResponse>Example
{ "{clientStateId}": [ { "name": "Validation error", "code": "COR-003", "detail": [ { "path": "internalState", "errors": [ { "id": "invalid", "message": "Invalid internal state provided." } ] } ] } ] }
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request PUT \
--url https://api.upstartcommerce.com/v1/order/client-state/batch \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '[
{
"id": "",
"siteIds": []
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify([
{
"id": "",
"siteIds": []
}
]);
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/order/client-state/batch", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/order/client-state/batch")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump([
{
"id": "",
"siteIds": []
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/order/client-state/batch"
payload = json.dumps([
{
"id": "",
"siteIds": []
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Success-Client order states updated.
[
{
"id": "",
"siteIds": [
""
],
"name": "",
"internalState": "",
"description": "",
"color": ""
}
]207
// Partial Success - request partially processed with some errors
{
"success": [
{
"id": "",
"siteIds": [
""
],
"name": "",
"color": "",
"internalState": "",
"description": "",
"inUse": false
}
],
"errors": "{\"{clientStateId}\":[{\"name\":\"Validation error\",\"code\":\"COR-003\",\"detail\":[{\"path\":\"internalState\",\"errors\":[{\"id\":\"invalid\",\"message\":\"Invalid internal state provided.\"}]}]}]}"
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// The provided credentials were not valid for this endpoint. It may be that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// Internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}